<template>
  <div>
    <v-dialog
      width="50%"
      height="auto"
      v-model="selectedValue"
      name="create_client_address"
    >
      <v-card>
        <v-card-title class="light">Krijo një Adresë</v-card-title>
        <v-container>
          <v-row class="mx-2">
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Adresa*" v-model="request.address" />
            </v-col>
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Kodi Postar*" v-model="request.zip_code" />
            </v-col>
          </v-row>
          <v-row class="mx-2">
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Qyteti*" v-model="request.city" />
            </v-col>
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Shteti*" v-model="request.country" />
            </v-col>
          </v-row>
        </v-container>
        <v-card-actions>
          <v-spacer />
          <v-btn text @click="close">Anullo</v-btn>
          <f-submit-btn @click="submit" />
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>
<script lang="ts">
import Vue from 'vue'
import { Component, Mixins, Prop } from 'vue-property-decorator'
import eventBus from '../../../../plugins/event-bus'
import FSubmitBtn from '../../../../components/buttons/FSubmitBtn.vue'

@Component({
  components: { FSubmitBtn },
})
export default class CreateClientAddress extends Vue {
  @Prop({ type: Boolean, required: true }) value
  request = {
    address: '',
    zip_code: '',
    city: '',
    country: '',
  }

  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }

  close() {
    this.selectedValue = false
    this.clearInputs()
  }
  clearInputs() {
    this.request.address = ''
    this.request.zip_code = ''
    this.request.city = ''
    this.request.country = ''
  }
  submit() {
    if (
      !this.request.address ||
      !this.request.zip_code ||
      !this.request.city ||
      !this.request.country
    ) {
      return alert('Plotësoni fushat')
    }
    eventBus.$emit('add-address', this.request)
    this.close()
  }
}
</script>
